Index: util.c
===================================================================
--- util.c	(revision fa4562c3dde208105e6938363d047e5622012e67)
+++ util.c	(revision e19eb97bacd75cf02905ec2b7a6a73b9642b907a)
@@ -6,5 +6,5 @@
 #include <pwd.h>
 
-void sepbar(char *in)
+void sepbar(const char *in)
 {
   char buff[1024];
@@ -13,5 +13,5 @@
   owl_view *v;
   int x, y, i;
-  char *foo, *appendtosepbar;
+  const char *foo, *appendtosepbar;
 
   sepwin=owl_global_get_curs_sepwin(&g);
@@ -125,5 +125,5 @@
 }
 
-char **atokenize(char *buffer, char *sep, int *i)
+char **atokenize(const char *buffer, const char *sep, int *i)
 {
   /* each element of return must be freed by user */
@@ -157,5 +157,5 @@
 }
 
-char *skiptokens(char *buff, int n) {
+const char *skiptokens(const char *buff, int n) {
   /* skips n tokens and returns where that would be.
    * TODO: handle quotes more sanely. */
@@ -177,5 +177,5 @@
  * duplicate slashes are removed.  Caller must free the return.
  */
-char *owl_util_makepath(char *in)
+char *owl_util_makepath(const char *in)
 {
   int i, j, x;
@@ -262,5 +262,5 @@
 }
 
-char **owl_parseline(char *line, int *argc)
+char **owl_parseline(const char *line, int *argc)
 {
   /* break a command line up into argv, argc.  The caller must free
@@ -409,5 +409,5 @@
  * if the named color is not available
  */
-int owl_util_string_to_color(char *color)
+int owl_util_string_to_color(const char *color)
 {
   int c;
@@ -439,5 +439,5 @@
 
 /* Return a string name of the given owl color */
-char *owl_util_color_to_string(int color)
+const char *owl_util_color_to_string(int color)
 {
   if (color==OWL_COLOR_BLACK)   return("black");
@@ -456,5 +456,5 @@
 char *owl_util_get_default_tty()
 {
-  char *tmp;
+  const char *tmp;
   char *out;
 
@@ -480,5 +480,5 @@
   owl_message *m;
   owl_fmtext *fm;
-  char *text, *ptr;
+  const char *text, *ptr;
   int place;
 
@@ -532,5 +532,5 @@
  * return.
  */
-char *owl_util_stripnewlines(char *in)
+char *owl_util_stripnewlines(const char *in)
 {
   
@@ -558,5 +558,5 @@
  * memory.
  */
-void owl_util_file_deleteline(char *filename, char *line, int backup)
+void owl_util_file_deleteline(const char *filename, const char *line, int backup)
 {
   char buff[LINE], *text;
@@ -646,5 +646,5 @@
    The caller is responsible for freeing the allocated string.
 */
-char * owl_util_baseclass(char * class)
+char * owl_util_baseclass(const char * class)
 {
   char *start, *end;
@@ -664,7 +664,7 @@
 }
 
-char * owl_get_datadir()
-{
-  char * datadir = getenv("BARNOWL_DATA_DIR");
+const char * owl_get_datadir()
+{
+  const char * datadir = getenv("BARNOWL_DATA_DIR");
   if(datadir != NULL)
     return datadir;
Index: variable.c
===================================================================
--- variable.c	(revision fa4562c3dde208105e6938363d047e5622012e67)
+++ variable.c	(revision e19eb97bacd75cf02905ec2b7a6a73b9642b907a)
@@ -375,5 +375,5 @@
 /* commonly useful */
 
-int owl_variable_int_validate_gt0(owl_variable *v, void *newval)
+int owl_variable_int_validate_gt0(owl_variable *v, const void *newval)
 {
   if (newval == NULL) return(0);
@@ -382,5 +382,5 @@
 }
 
-int owl_variable_int_validate_positive(owl_variable *v, void *newval)
+int owl_variable_int_validate_positive(owl_variable *v, const void *newval)
 {
   if (newval == NULL) return(0);
@@ -390,5 +390,5 @@
 
 /* typewinsize */
-int owl_variable_typewinsize_set(owl_variable *v, void *newval)
+int owl_variable_typewinsize_set(owl_variable *v, const void *newval)
 {
   int rv;
@@ -399,5 +399,5 @@
 
 /* debug (cache value in g->debug) */
-int owl_variable_debug_set(owl_variable *v, void *newval)
+int owl_variable_debug_set(owl_variable *v, const void *newval)
 {
   if (newval && (*(const int*)newval == 1 || *(const int*)newval == 0)) {
@@ -408,5 +408,5 @@
 
 /* When 'aaway' is changed, need to notify the AIM server */
-int owl_variable_aaway_set(owl_variable *v, void *newval)
+int owl_variable_aaway_set(owl_variable *v, const void *newval)
 {
   if (newval) {
@@ -420,5 +420,5 @@
 }
 
-int owl_variable_pseudologins_set(owl_variable *v, void *newval)
+int owl_variable_pseudologins_set(owl_variable *v, const void *newval)
 {
   if (newval) {
@@ -432,5 +432,5 @@
 /* note that changing the value of this will clobber 
  * any user setting of this */
-int owl_variable_disable_ctrl_d_set(owl_variable *v, void *newval)
+int owl_variable_disable_ctrl_d_set(owl_variable *v, const void *newval)
 {
 
@@ -449,5 +449,5 @@
 }
 
-int owl_variable_tty_set(owl_variable *v, void *newval)
+int owl_variable_tty_set(owl_variable *v, const void *newval)
 {
   owl_zephyr_set_locationinfo(owl_global_get_hostname(&g), newval);
@@ -531,5 +531,5 @@
 }
 
-owl_variable * owl_variable_newvar(char *name, char *summary, char * description) {
+owl_variable * owl_variable_newvar(const char *name, const char *summary, const char * description) {
   owl_variable * var = owl_malloc(sizeof(owl_variable));
   memset(var, 0, sizeof(owl_variable));
@@ -540,5 +540,5 @@
 }
 
-void owl_variable_update(owl_variable *var, char *summary, char *desc) {
+void owl_variable_update(owl_variable *var, const char *summary, const char *desc) {
   if(var->summary) owl_free(var->summary);
   var->summary = owl_strdup(summary);
@@ -547,5 +547,5 @@
 }
 
-void owl_variable_dict_newvar_string(owl_vardict * vd, char *name, char *summ, char * desc, char * initval) {
+void owl_variable_dict_newvar_string(owl_vardict * vd, const char *name, const char *summ, const char * desc, const char * initval) {
   owl_variable *old = owl_variable_get_var(vd, name, OWL_VARIABLE_STRING);
   if(old) {
@@ -567,5 +567,5 @@
 }
 
-void owl_variable_dict_newvar_int(owl_vardict * vd, char *name, char *summ, char * desc, int initval) {
+void owl_variable_dict_newvar_int(owl_vardict * vd, const char *name, const char *summ, const char * desc, int initval) {
   owl_variable *old = owl_variable_get_var(vd, name, OWL_VARIABLE_INT);
   if(old) {
@@ -588,5 +588,5 @@
 }
 
-void owl_variable_dict_newvar_bool(owl_vardict * vd, char *name, char *summ, char * desc, int initval) {
+void owl_variable_dict_newvar_bool(owl_vardict * vd, const char *name, const char *summ, const char * desc, int initval) {
   owl_variable *old = owl_variable_get_var(vd, name, OWL_VARIABLE_BOOL);
   if(old) {
@@ -628,13 +628,13 @@
 
 
-char *owl_variable_get_description(owl_variable *v) {
+const char *owl_variable_get_description(owl_variable *v) {
   return v->description;
 }
 
-char *owl_variable_get_summary(owl_variable *v) {
+const char *owl_variable_get_summary(owl_variable *v) {
   return v->summary;
 }
 
-char *owl_variable_get_validsettings(owl_variable *v) {
+const char *owl_variable_get_validsettings(owl_variable *v) {
   if (v->validsettings) {
     return v->validsettings;
@@ -647,5 +647,5 @@
 
 /* returns 0 on success, prints a status msg if msg is true */
-int owl_variable_set_fromstring(owl_vardict *d, char *name, char *value, int msg, int requirebool) {
+int owl_variable_set_fromstring(owl_vardict *d, const char *name, const char *value, int msg, int requirebool) {
   owl_variable *v;
   char buff2[1024];
@@ -676,5 +676,5 @@
 }
  
-int owl_variable_set_string(owl_vardict *d, char *name, char *newval) {
+int owl_variable_set_string(owl_vardict *d, const char *name, const char *newval) {
   owl_variable *v;
   if (!name) return(-1);
@@ -685,5 +685,5 @@
 }
  
-int owl_variable_set_int(owl_vardict *d, char *name, int newval) {
+int owl_variable_set_int(owl_vardict *d, const char *name, int newval) {
   owl_variable *v;
   if (!name) return(-1);
@@ -694,13 +694,13 @@
 }
  
-int owl_variable_set_bool_on(owl_vardict *d, char *name) {
+int owl_variable_set_bool_on(owl_vardict *d, const char *name) {
   return owl_variable_set_int(d,name,1);
 }
 
-int owl_variable_set_bool_off(owl_vardict *d, char *name) {
+int owl_variable_set_bool_off(owl_vardict *d, const char *name) {
   return owl_variable_set_int(d,name,0);
 }
 
-int owl_variable_get_tostring(owl_vardict *d, char *name, char *buf, int bufsize) {
+int owl_variable_get_tostring(owl_vardict *d, const char *name, char *buf, int bufsize) {
   owl_variable *v;
   if (!name) return(-1);
@@ -710,5 +710,5 @@
 }
 
-int owl_variable_get_default_tostring(owl_vardict *d, char *name, char *buf, int bufsize) {
+int owl_variable_get_default_tostring(owl_vardict *d, const char *name, char *buf, int bufsize) {
   owl_variable *v;
   if (!name) return(-1);
@@ -722,5 +722,5 @@
 }
 
-owl_variable *owl_variable_get_var(owl_vardict *d, char *name, int require_type) {
+owl_variable *owl_variable_get_var(owl_vardict *d, const char *name, int require_type) {
   owl_variable *v;
   if (!name) return(NULL);
@@ -731,5 +731,5 @@
 
 /* returns a reference */
-void *owl_variable_get(owl_vardict *d, char *name, int require_type) {
+const void *owl_variable_get(owl_vardict *d, const char *name, int require_type) {
   owl_variable *v = owl_variable_get_var(d, name, require_type);
   if(v == NULL) return NULL;
@@ -738,14 +738,14 @@
 
 /* returns a reference */
-char *owl_variable_get_string(owl_vardict *d, char *name) {
+const char *owl_variable_get_string(owl_vardict *d, const char *name) {
   return owl_variable_get(d,name, OWL_VARIABLE_STRING);
 }
 
 /* returns a reference */
-void *owl_variable_get_other(owl_vardict *d, char *name) {
+const void *owl_variable_get_other(owl_vardict *d, const char *name) {
   return owl_variable_get(d,name, OWL_VARIABLE_OTHER);
 }
 
-int owl_variable_get_int(owl_vardict *d, char *name) {
+int owl_variable_get_int(owl_vardict *d, const char *name) {
   const int *pi;
   pi = owl_variable_get(d,name,OWL_VARIABLE_INT);
@@ -754,5 +754,5 @@
 }
 
-int owl_variable_get_bool(owl_vardict *d, char *name) {
+int owl_variable_get_bool(owl_vardict *d, const char *name) {
   const int *pi;
   pi = owl_variable_get(d,name,OWL_VARIABLE_BOOL);
@@ -761,5 +761,5 @@
 }
 
-void owl_variable_describe(owl_vardict *d, char *name, owl_fmtext *fm) {
+void owl_variable_describe(owl_vardict *d, const char *name, owl_fmtext *fm) {
   char defaultbuf[50];
   char buf[1024];
@@ -785,5 +785,5 @@
 }
 
-void owl_variable_get_help(owl_vardict *d, char *name, owl_fmtext *fm) {
+void owl_variable_get_help(owl_vardict *d, const char *name, owl_fmtext *fm) {
   char buff[1024];
   int bufflen = 1023;
@@ -839,5 +839,5 @@
 /* default common functions */
 
-void *owl_variable_get_default(owl_variable *v) {
+const void *owl_variable_get_default(owl_variable *v) {
   return v->val;
 }
@@ -849,5 +849,5 @@
 /* default functions for booleans */
 
-int owl_variable_bool_validate_default(owl_variable *v, void *newval) {
+int owl_variable_bool_validate_default(owl_variable *v, const void *newval) {
   if (newval == NULL) return(0);
   else if (*(const int*)newval==1 || *(const int*)newval==0) return(1);
@@ -855,5 +855,5 @@
 }
 
-int owl_variable_bool_set_default(owl_variable *v, void *newval) {
+int owl_variable_bool_set_default(owl_variable *v, const void *newval) {
   if (v->validate_fn) {
     if (!v->validate_fn(v, newval)) return(-1);
@@ -863,5 +863,5 @@
 }
 
-int owl_variable_bool_set_fromstring_default(owl_variable *v, char *newval) {
+int owl_variable_bool_set_fromstring_default(owl_variable *v, const char *newval) {
   int i;
   if (!strcmp(newval, "on")) i=1;
@@ -871,5 +871,5 @@
 }
 
-int owl_variable_bool_get_tostring_default(owl_variable *v, char* buf, int bufsize, void *val) {
+int owl_variable_bool_get_tostring_default(owl_variable *v, char* buf, int bufsize, const void *val) {
   if (val == NULL) {
     snprintf(buf, bufsize, "<null>");
@@ -889,10 +889,10 @@
 /* default functions for integers */
 
-int owl_variable_int_validate_default(owl_variable *v, void *newval) {
+int owl_variable_int_validate_default(owl_variable *v, const void *newval) {
   if (newval == NULL) return(0);
   else return (1);
 }
 
-int owl_variable_int_set_default(owl_variable *v, void *newval) {
+int owl_variable_int_set_default(owl_variable *v, const void *newval) {
   if (v->validate_fn) {
     if (!v->validate_fn(v, newval)) return(-1);
@@ -902,7 +902,7 @@
 }
 
-int owl_variable_int_set_fromstring_default(owl_variable *v, char *newval) {
+int owl_variable_int_set_fromstring_default(owl_variable *v, const char *newval) {
   int i;
-  char *ep = "x";
+  const char *ep = "x";
   i = strtol(newval, (char **)&ep, 10);
   if (*ep || ep==newval) return(-1);
@@ -910,5 +910,5 @@
 }
 
-int owl_variable_int_get_tostring_default(owl_variable *v, char* buf, int bufsize, void *val) {
+int owl_variable_int_get_tostring_default(owl_variable *v, char* buf, int bufsize, const void *val) {
   if (val == NULL) {
     snprintf(buf, bufsize, "<null>");
@@ -922,5 +922,5 @@
 /* default functions for enums (a variant of integers) */
 
-int owl_variable_enum_validate(owl_variable *v, void *newval) {  
+int owl_variable_enum_validate(owl_variable *v, const void *newval) {  
   char **enums;
   int nenums, val;
@@ -936,5 +936,5 @@
 }
 
-int owl_variable_enum_set_fromstring(owl_variable *v, char *newval) {
+int owl_variable_enum_set_fromstring(owl_variable *v, const char *newval) {
   char **enums;
   int nenums, i, val=-1;
@@ -952,5 +952,5 @@
 }
 
-int owl_variable_enum_get_tostring(owl_variable *v, char* buf, int bufsize, void *val) {
+int owl_variable_enum_get_tostring(owl_variable *v, char* buf, int bufsize, const void *val) {
   char **enums;
   int nenums, i;
@@ -973,10 +973,10 @@
 /* default functions for stringeans */
 
-int owl_variable_string_validate_default(struct _owl_variable *v, void *newval) {
+int owl_variable_string_validate_default(struct _owl_variable *v, const void *newval) {
   if (newval == NULL) return(0);
   else return (1);
 }
 
-int owl_variable_string_set_default(owl_variable *v, void *newval) {
+int owl_variable_string_set_default(owl_variable *v, const void *newval) {
   if (v->validate_fn) {
     if (!v->validate_fn(v, newval)) return(-1);
@@ -987,14 +987,14 @@
 }
 
-int owl_variable_string_set_fromstring_default(owl_variable *v, char *newval) {
+int owl_variable_string_set_fromstring_default(owl_variable *v, const char *newval) {
   return (v->set_fn(v, newval));
 }
 
-int owl_variable_string_get_tostring_default(owl_variable *v, char* buf, int bufsize, void *val) {
+int owl_variable_string_get_tostring_default(owl_variable *v, char* buf, int bufsize, const void *val) {
   if (val == NULL) {
     snprintf(buf, bufsize, "<null>");
     return -1;
   } else {
-    snprintf(buf, bufsize, "%s", (char*)val);
+    snprintf(buf, bufsize, "%s", (const char*)val);
     return 0;
   }
@@ -1015,5 +1015,5 @@
   int numfailed=0;
   char buf[1024];
-  void *v;
+  const void *v;
 
   in_regtest = 1;
Index: view.c
===================================================================
--- view.c	(revision 4d86e066c8f1fe00bd18a85523b809ba4c968947)
+++ view.c	(revision e19eb97bacd75cf02905ec2b7a6a73b9642b907a)
@@ -2,5 +2,5 @@
 #include "owl.h"
 
-void owl_view_create(owl_view *v, char *name, owl_filter *f, owl_style *s)
+void owl_view_create(owl_view *v, const char *name, owl_filter *f, owl_style *s)
 {
   v->name=owl_strdup(name);
@@ -11,5 +11,5 @@
 }
 
-char *owl_view_get_name(owl_view *v)
+const char *owl_view_get_name(owl_view *v)
 {
   return(v->name);
@@ -67,5 +67,5 @@
 }
 
-char *owl_view_get_style_name(owl_view *v) {
+const char *owl_view_get_style_name(owl_view *v) {
   return(owl_style_get_name(v->style));
 }
@@ -154,5 +154,5 @@
 }
 
-char *owl_view_get_filtname(owl_view *v)
+const char *owl_view_get_filtname(owl_view *v)
 {
   return(owl_filter_get_name(v->filter));
Index: viewwin.c
===================================================================
--- viewwin.c	(revision d43edd2156ec9694ba4cec1c13baba690ce46b19)
+++ viewwin.c	(revision e19eb97bacd75cf02905ec2b7a6a73b9642b907a)
@@ -7,5 +7,5 @@
  * window that will be used by viewwin
  */
-void owl_viewwin_init_text(owl_viewwin *v, WINDOW *win, int winlines, int wincols, char *text)
+void owl_viewwin_init_text(owl_viewwin *v, WINDOW *win, int winlines, int wincols, const char *text)
 {
   owl_fmtext_init_null(&(v->fmtext));
@@ -25,5 +25,5 @@
 }
 
-void owl_viewwin_append_text(owl_viewwin *v, char *text) {
+void owl_viewwin_append_text(owl_viewwin *v, const char *text) {
     owl_fmtext_append_normal(&(v->fmtext), text);
     v->textlines=owl_fmtext_num_lines(&(v->fmtext));  
Index: zbuddylist.c
===================================================================
--- zbuddylist.c	(revision d43edd2156ec9694ba4cec1c13baba690ce46b19)
+++ zbuddylist.c	(revision e19eb97bacd75cf02905ec2b7a6a73b9642b907a)
@@ -6,5 +6,5 @@
 }
 
-int owl_zbuddylist_adduser(owl_zbuddylist *zb, char *name)
+int owl_zbuddylist_adduser(owl_zbuddylist *zb, const char *name)
 {
   int i, j;
@@ -24,5 +24,5 @@
 }
 
-int owl_zbuddylist_deluser(owl_zbuddylist *zb, char *name)
+int owl_zbuddylist_deluser(owl_zbuddylist *zb, const char *name)
 {
   int i, j;
@@ -45,5 +45,5 @@
 }
 
-int owl_zbuddylist_contains_user(owl_zbuddylist *zb, char *name)
+int owl_zbuddylist_contains_user(owl_zbuddylist *zb, const char *name)
 {
   int i, j;
Index: zcrypt.c
===================================================================
--- zcrypt.c	(revision 65b21736092356a35d24e53dc2e6b92e13174131)
+++ zcrypt.c	(revision e19eb97bacd75cf02905ec2b7a6a73b9642b907a)
@@ -49,5 +49,5 @@
 } ZWRITEOPTIONS;
 
-char *GetZephyrVarKeyFile(char *whoami, char *class, char *instance);
+char *GetZephyrVarKeyFile(const char *whoami, const char *class, const char *instance);
 
 #ifndef HAVE_DES_ECB_ENCRYPT_PROTO
@@ -69,6 +69,6 @@
  * return 0 on success, otherwise -1
  */
-int owl_zcrypt_decrypt(char *out, char *in, char *class, char *instance) {
-  char *inptr, *endptr;
+int owl_zcrypt_decrypt(char *out, const char *in, const char *class, const char *instance) {
+  const char *inptr, *endptr;
   char *fname, keystring[MAX_KEY];
   FILE *fkey;
@@ -116,5 +116,5 @@
 }
 
-int owl_zcrypt_encrypt(char *out, char *in, char *class, char *instance) {
+int owl_zcrypt_encrypt(char *out, const char *in, const char *class, const char *instance) {
   char *fname, keystring[MAX_KEY];
   FILE *fkey;
@@ -123,5 +123,5 @@
   char input[8], output[8];
   int size, length, i;
-  char *inbuff = NULL, *inptr;
+  const char *inbuff = NULL, *inptr;
   int use_buffer = FALSE;
   int num_blocks=0, last_block_size=0;
@@ -183,5 +183,5 @@
 #define MAX_SEARCH 3
 /* Find the class/instance in the .crypt-table */
-char *GetZephyrVarKeyFile(char *whoami, char *class, char *instance) {
+char *GetZephyrVarKeyFile(const char *whoami, const char *class, const char *instance) {
   char *keyfile = NULL;
   char *varname[MAX_SEARCH];
Index: zephyr.c
===================================================================
--- zephyr.c	(revision fa4562c3dde208105e6938363d047e5622012e67)
+++ zephyr.c	(revision e19eb97bacd75cf02905ec2b7a6a73b9642b907a)
@@ -187,5 +187,5 @@
 }
 
-char *owl_zephyr_get_sender()
+const char *owl_zephyr_get_sender()
 {
 #ifdef HAVE_LIBZEPHYR
@@ -235,5 +235,5 @@
  * zephyr to load the subscriptions.
  */
-int owl_zephyr_loadsubs(char *filename, int error_on_nofile)
+int owl_zephyr_loadsubs(const char *filename, int error_on_nofile)
 {
 #ifdef HAVE_LIBZEPHYR
@@ -350,5 +350,5 @@
 }
 
-int owl_zephyr_loadloginsubs(char *filename)
+int owl_zephyr_loadloginsubs(const char *filename)
 {
 #ifdef HAVE_LIBZEPHYR
@@ -422,5 +422,5 @@
 }
 
-int owl_zephyr_sub(char *class, char *inst, char *recip)
+int owl_zephyr_sub(const char *class, const char *inst, const char *recip)
 {
 #ifdef HAVE_LIBZEPHYR
@@ -443,5 +443,5 @@
 
 
-int owl_zephyr_unsub(char *class, char *inst, char *recip)
+int owl_zephyr_unsub(const char *class, const char *inst, const char *recip)
 {
 #ifdef HAVE_LIBZEPHYR
@@ -635,5 +635,5 @@
 
 #ifdef HAVE_LIBZEPHYR
-char *owl_zephyr_get_zsig(ZNotice_t *n, int *k)
+const char *owl_zephyr_get_zsig(ZNotice_t *n, int *k)
 {
   /* return a pointer to the zsig if there is one */
@@ -656,5 +656,5 @@
 }
 #else
-char *owl_zephyr_get_zsig(void *n, int *k)
+const char *owl_zephyr_get_zsig(void *n, int *k)
 {
   return("");
@@ -662,5 +662,5 @@
 #endif
 
-int send_zephyr(char *opcode, char *zsig, char *class, char *instance, char *recipient, char *message)
+int send_zephyr(const char *opcode, const char *zsig, const char *class, const char *instance, const char *recipient, const char *message)
 {
 #ifdef HAVE_LIBZEPHYR
@@ -717,5 +717,5 @@
 #endif
 
-void send_ping(char *to, char *zclass, char *zinstance)
+void send_ping(const char *to, const char *zclass, const char *zinstance)
 {
 #ifdef HAVE_LIBZEPHYR
@@ -885,5 +885,5 @@
 #endif
 
-void owl_zephyr_zlocate(char *user, char *out, int auth)
+void owl_zephyr_zlocate(const char *user, char *out, int auth)
 {
 #ifdef HAVE_LIBZEPHYR
@@ -920,5 +920,5 @@
 }
 
-void owl_zephyr_addsub(char *filename, char *class, char *inst, char *recip)
+void owl_zephyr_addsub(const char *filename, const char *class, const char *inst, const char *recip)
 {
 #ifdef HAVE_LIBZEPHYR
@@ -963,5 +963,5 @@
 }
 
-void owl_zephyr_delsub(char *filename, char *class, char *inst, char *recip)
+void owl_zephyr_delsub(const char *filename, const char *class, const char *inst, const char *recip)
 {
 #ifdef HAVE_LIBZEPHYR
@@ -985,5 +985,5 @@
 
 /* caller must free the return */
-char *owl_zephyr_makesubline(char *class, char *inst, char *recip)
+char *owl_zephyr_makesubline(const char *class, const char *inst, const char *recip)
 {
   char *out;
@@ -998,5 +998,5 @@
 {
 #ifdef HAVE_LIBZEPHYR
-  char *exposure, *eset;
+  const char *exposure, *eset;
   int ret;
 
@@ -1049,5 +1049,5 @@
 }
 
-void owl_zephyr_addbuddy(char *name)
+void owl_zephyr_addbuddy(const char *name)
 {
   char *filename;
@@ -1065,5 +1065,5 @@
 }
 
-void owl_zephyr_delbuddy(char *name)
+void owl_zephyr_delbuddy(const char *name)
 {
   char *filename;
@@ -1076,5 +1076,5 @@
 /* return auth string */
 #ifdef HAVE_LIBZEPHYR
-char *owl_zephyr_get_authstr(ZNotice_t *n)
+const char *owl_zephyr_get_authstr(ZNotice_t *n)
 {
 
@@ -1092,5 +1092,5 @@
 }
 #else
-char *owl_zephyr_get_authstr(void *n)
+const char *owl_zephyr_get_authstr(void *n)
 {
   return("");
@@ -1156,5 +1156,5 @@
 }
 
-char *owl_zephyr_get_variable(char *var)
+const char *owl_zephyr_get_variable(const char *var)
 {
 #ifdef HAVE_LIBZEPHYR
@@ -1165,5 +1165,5 @@
 }
 
-void owl_zephyr_set_locationinfo(char *host, char *val)
+void owl_zephyr_set_locationinfo(const char *host, const char *val)
 {
 #ifdef HAVE_LIBZEPHYR
@@ -1175,5 +1175,5 @@
  * The caller must free the return
  */
-char *short_zuser(char *in)
+char *short_zuser(const char *in)
 {
   char *out, *ptr;
@@ -1192,5 +1192,5 @@
  * The caller must free the return.
  */
-char *long_zuser(char *in)
+char *long_zuser(const char *in)
 {
   if (strchr(in, '@')) {
@@ -1204,5 +1204,5 @@
  * caller must free the return
  */
-char *owl_zephyr_smartstripped_user(char *in)
+char *owl_zephyr_smartstripped_user(const char *in)
 {
   char *ptr, *realm, *out;
@@ -1247,5 +1247,5 @@
  * -1 on failure, 0 on success.
  */
-int owl_zephyr_get_anyone_list(owl_list *in, char *filename)
+int owl_zephyr_get_anyone_list(owl_list *in, const char *filename)
 {
 #ifdef HAVE_LIBZEPHYR
Index: zwrite.c
===================================================================
--- zwrite.c	(revision 65b21736092356a35d24e53dc2e6b92e13174131)
+++ zwrite.c	(revision e19eb97bacd75cf02905ec2b7a6a73b9642b907a)
@@ -5,9 +5,9 @@
 #include "owl.h"
 
-int owl_zwrite_create_from_line(owl_zwrite *z, char *line)
+int owl_zwrite_create_from_line(owl_zwrite *z, const char *line)
 {
   int argc, badargs, myargc, i, len;
   char **argv;
-  char **myargv;
+  const char *const *myargv;
   char *msg = NULL;
 
@@ -152,5 +152,5 @@
 void owl_zwrite_populate_zsig(owl_zwrite *z)
 {
-  char *zsigproc, *zsigowlvar, *zsigzvar;
+  const char *zsigproc, *zsigowlvar, *zsigzvar;
   char *ptr;
   struct passwd *pw;
@@ -219,5 +219,5 @@
   for (i=0; i<j; i++) {
     if (strcmp(z->realm, "")) {
-      to = owl_sprintf("%s@%s", (char *) owl_list_get_element(&(z->recips), i), z->realm);
+      to = owl_sprintf("%s@%s", (const char *) owl_list_get_element(&(z->recips), i), z->realm);
     } else {
       to = owl_strdup(owl_list_get_element(&(z->recips), i));
@@ -229,5 +229,5 @@
 }
 
-void owl_zwrite_set_message(owl_zwrite *z, char *msg)
+void owl_zwrite_set_message(owl_zwrite *z, const char *msg)
 {
   int i, j;
@@ -243,7 +243,7 @@
       tmp = toline;
       if (strcmp(z->realm, "")) {
-        toline = owl_sprintf( "%s%s@%s ", toline, (char *) owl_list_get_element(&(z->recips), i), z->realm);
+        toline = owl_sprintf( "%s%s@%s ", toline, (const char *) owl_list_get_element(&(z->recips), i), z->realm);
       } else {
-        toline = owl_sprintf( "%s%s ", toline, (char *) owl_list_get_element(&(z->recips), i));
+        toline = owl_sprintf( "%s%s ", toline, (const char *) owl_list_get_element(&(z->recips), i));
       }
       owl_free(tmp);
@@ -263,5 +263,5 @@
 }
 
-char *owl_zwrite_get_message(owl_zwrite *z)
+const char *owl_zwrite_get_message(owl_zwrite *z)
 {
   if (z->message) return(z->message);
@@ -286,5 +286,5 @@
     for (i=0; i<j; i++) {
       if (strcmp(z->realm, "")) {
-        to = owl_sprintf("%s@%s", (char *) owl_list_get_element(&(z->recips), i), z->realm);
+        to = owl_sprintf("%s@%s", (const char *) owl_list_get_element(&(z->recips), i), z->realm);
       } else {
         to = owl_strdup( owl_list_get_element(&(z->recips), i));
@@ -302,5 +302,5 @@
 }
 
-int owl_zwrite_create_and_send_from_line(char *cmd, char *msg)
+int owl_zwrite_create_and_send_from_line(const char *cmd, const char *msg)
 {
   owl_zwrite z;
@@ -317,20 +317,20 @@
 }
 
-char *owl_zwrite_get_class(owl_zwrite *z)
+const char *owl_zwrite_get_class(owl_zwrite *z)
 {
   return(z->class);
 }
 
-char *owl_zwrite_get_instance(owl_zwrite *z)
+const char *owl_zwrite_get_instance(owl_zwrite *z)
 {
   return(z->inst);
 }
 
-char *owl_zwrite_get_opcode(owl_zwrite *z)
+const char *owl_zwrite_get_opcode(owl_zwrite *z)
 {
   return(z->opcode);
 }
 
-void owl_zwrite_set_opcode(owl_zwrite *z, char *opcode)
+void owl_zwrite_set_opcode(owl_zwrite *z, const char *opcode)
 {
   if (z->opcode) owl_free(z->opcode);
@@ -338,10 +338,10 @@
 }
 
-char *owl_zwrite_get_realm(owl_zwrite *z)
+const char *owl_zwrite_get_realm(owl_zwrite *z)
 {
   return(z->realm);
 }
 
-char *owl_zwrite_get_zsig(owl_zwrite *z)
+const char *owl_zwrite_get_zsig(owl_zwrite *z)
 {
   if (z->zsig) return(z->zsig);
@@ -367,5 +367,5 @@
 }
 
-char *owl_zwrite_get_recip_n(owl_zwrite *z, int n)
+const char *owl_zwrite_get_recip_n(owl_zwrite *z, int n)
 {
   return(owl_list_get_element(&(z->recips), n));
